# Interu API

Version: v2_75

## Servers

UAT
```
https://api.uat.interu.io
```

Variables:

## Security

### InteruAuth

Type: apiKey
In: header
Name: X-API-Key

## Download OpenAPI description

[Interu API](https://developer.interu.io/_bundle/reference/api.yaml)

## Validation

Apis related to Validation.

### Get Validation Status

 - [POST /organisations/{orgId}/validation/status](https://developer.interu.io/reference/api/validation/validationservice_post.md): Retrieve validation status for given records.

## Base Units

Apis related to Base Units.

### Retrieve BaseUnit List

 - [GET /common/base-units](https://developer.interu.io/reference/api/base-units/baseunits_list.md)

### Retrieve BaseUnit

 - [GET /common/base-units/{unitId}](https://developer.interu.io/reference/api/base-units/baseunits_read.md)

## Country List

Apis related to Country List.

### Retrieve Countries

 - [GET /common/countries](https://developer.interu.io/reference/api/country-list/countries_list.md)

## Standards

Apis related to Standards.

### Retrieve Standard List

 - [GET /common/standards](https://developer.interu.io/reference/api/standards/standards_list.md)

### Retrieve Standard

 - [GET /common/standards/{standardId}](https://developer.interu.io/reference/api/standards/standards_read.md)

### Retrieve StandardType List

 - [GET /common/standards/{standardId}/types](https://developer.interu.io/reference/api/standards/standardtypes_list.md)

### Retrieve StandardType

 - [GET /common/standards/{standardId}/types/{standardTypeId}](https://developer.interu.io/reference/api/standards/standardtypes_read.md)

## Document Types

Apis related to Document Types.

### Create DocumentType

 - [POST /organisations/{orgId}/document-types](https://developer.interu.io/reference/api/document-types/documenttypes_post.md)

### Retrieve DocumentType List

 - [GET /organisations/{orgId}/document-types](https://developer.interu.io/reference/api/document-types/documenttypes_list.md)

### Retrieve DocumentType

 - [GET /organisations/{orgId}/document-types/{documentTypeId}](https://developer.interu.io/reference/api/document-types/documenttypes_read.md)

### Update DocumentType

 - [PUT /organisations/{orgId}/document-types/{documentTypeId}](https://developer.interu.io/reference/api/document-types/documenttypes_update.md)

### Delete DocumentType

 - [DELETE /organisations/{orgId}/document-types/{documentTypeId}](https://developer.interu.io/reference/api/document-types/documenttypes_delete.md)

## Location Types

Apis related to Location Types.

### Create LocationType

 - [POST /organisations/{orgId}/location-types](https://developer.interu.io/reference/api/location-types/locationtypes_post.md)

### Retrieve LocationType List

 - [GET /organisations/{orgId}/location-types](https://developer.interu.io/reference/api/location-types/locationtypes_list.md)

### Retrieve LocationType

 - [GET /organisations/{orgId}/location-types/{locTypeId}](https://developer.interu.io/reference/api/location-types/locationtypes_read.md)

### Update LocationType

 - [PUT /organisations/{orgId}/location-types/{locTypeId}](https://developer.interu.io/reference/api/location-types/locationtypes_update.md)

### Delete LocationType

 - [DELETE /organisations/{orgId}/location-types/{locTypeId}](https://developer.interu.io/reference/api/location-types/locationtypes_delete.md)

## Process Types

Apis related to Process Types.

### Create ProcessType

 - [POST /organisations/{orgId}/process-types](https://developer.interu.io/reference/api/process-types/processtypes_post.md)

### Retrieve ProcessType List

 - [GET /organisations/{orgId}/process-types](https://developer.interu.io/reference/api/process-types/processtypes_list.md)

### Retrieve ProcessType

 - [GET /organisations/{orgId}/process-types/{processTypeId}](https://developer.interu.io/reference/api/process-types/processtypes_read.md)

### Update ProcessType

 - [PUT /organisations/{orgId}/process-types/{processTypeId}](https://developer.interu.io/reference/api/process-types/processtypes_update.md)

### Delete ProcessType

 - [DELETE /organisations/{orgId}/process-types/{processTypeId}](https://developer.interu.io/reference/api/process-types/processtypes_delete.md)

## Attachments

Apis related to Attachments.

### Create Attachment

 - [POST /organisations/{orgId}/attachments](https://developer.interu.io/reference/api/attachments/attachments_post.md)

### Retrieve Attachment List

 - [GET /organisations/{orgId}/attachments](https://developer.interu.io/reference/api/attachments/attachments_list.md)

### Retrieve Attachment

 - [GET /organisations/{orgId}/attachments/{attachmentId}](https://developer.interu.io/reference/api/attachments/attachments_read.md)

### Delete Attachment

 - [DELETE /organisations/{orgId}/attachments/{attachmentId}](https://developer.interu.io/reference/api/attachments/attachments_delete.md)

## Documents

Apis related to Documents.

### Create Document

 - [POST /organisations/{orgId}/documents](https://developer.interu.io/reference/api/documents/documents_post.md): Create a Document

### Retrieve Document List

 - [GET /organisations/{orgId}/documents](https://developer.interu.io/reference/api/documents/documents_list.md): Retrieve the list of Documents

### Retrieve Document

 - [GET /organisations/{orgId}/documents/{documentId}](https://developer.interu.io/reference/api/documents/documents_read.md): Retrieve an existing Document

### Update Document

 - [PUT /organisations/{orgId}/documents/{documentId}](https://developer.interu.io/reference/api/documents/documents_update.md): Update the details of an existing Document

### Delete Document

 - [DELETE /organisations/{orgId}/documents/{documentId}](https://developer.interu.io/reference/api/documents/documents_delete.md)

### Upload Document

 - [PUT /organisations/{orgId}/documents/{documentId}/content](https://developer.interu.io/reference/api/documents/documents_uploadcontent.md): Upload the contents of a file.

### Download Document

 - [GET /organisations/{orgId}/documents/{documentId}/content](https://developer.interu.io/reference/api/documents/documents_downloadcontent.md): Download the contents of a file.

## EUDR

Apis related to EUDR and Due Diligence Statement Submission.

### Create Credential

 - [POST /organisations/{orgId}/extensions/eudr/credentials](https://developer.interu.io/reference/api/eudr/credentials_create.md): Creates an Traces NT Credential.

### Retrieve Credential List

 - [GET /organisations/{orgId}/extensions/eudr/credentials](https://developer.interu.io/reference/api/eudr/credentials_list.md): Gets the list of Traces NT Credentials for an organisation.

### Retrieve Credential

 - [GET /organisations/{orgId}/extensions/eudr/credentials/{credentialsId}](https://developer.interu.io/reference/api/eudr/credentials_read.md): Retrieves an existing Traces NT Credential.

### Update Credential

 - [PUT /organisations/{orgId}/extensions/eudr/credentials/{credentialsId}](https://developer.interu.io/reference/api/eudr/credentials_update.md): Updates an existing Traces NT Credential.

### Delete Credential

 - [DELETE /organisations/{orgId}/extensions/eudr/credentials/{credentialsId}](https://developer.interu.io/reference/api/eudr/credentials_delete.md): Deletes a Traces NT Credential.

### Create DDS Reference

 - [POST /organisations/{orgId}/extensions/eudr/references](https://developer.interu.io/reference/api/eudr/ddsreferences_create.md): Creates an EUDR DDS Reference.

### Retrieve DDS Reference List

 - [GET /organisations/{orgId}/extensions/eudr/references](https://developer.interu.io/reference/api/eudr/ddsreferences_list.md): Gets the list of DDS References.

### Find DDS Reference

 - [POST /organisations/{orgId}/extensions/eudr/references/find](https://developer.interu.io/reference/api/eudr/findddsreferences_find.md): Finds DDS Reference for provided record ids.

### Resolve DDS Reference

 - [POST /organisations/{orgId}/extensions/eudr/references/resolve](https://developer.interu.io/reference/api/eudr/resolveddsreferences_resolve.md): Resolves DDS References for provided record ids.

### Retrieve DDS Reference

 - [GET /organisations/{orgId}/extensions/eudr/references/{referenceId}](https://developer.interu.io/reference/api/eudr/ddsreferences_read.md): Retrieves an existing EUDR DDS Reference.

### Update DDS Reference

 - [PUT /organisations/{orgId}/extensions/eudr/references/{referenceId}](https://developer.interu.io/reference/api/eudr/ddsreferences_update.md): Updates an existing EUDR DDS Reference.

### Delete DDS Reference

 - [DELETE /organisations/{orgId}/extensions/eudr/references/{referenceId}](https://developer.interu.io/reference/api/eudr/ddsreferences_delete.md): Deletes an DDS Reference.

### Add Direct Record(s)

 - [POST /organisations/{orgId}/extensions/eudr/references/{referenceId}/direct-records](https://developer.interu.io/reference/api/eudr/ddsreferencedirectrecords_create.md): Creates an EUDR DDS Reference.

### Delete Direct Records

 - [DELETE /organisations/{orgId}/extensions/eudr/references/{referenceId}/direct-records](https://developer.interu.io/reference/api/eudr/ddsreferencedirectrecords_delete.md): Deletes direct records from a DDS Reference.

### Retrieve Direct Records

 - [GET /organisations/{orgId}/extensions/eudr/references/{referenceId}/direct-records](https://developer.interu.io/reference/api/eudr/ddsreferencedirectrecords_list.md): Gets the list of DDS Reference Direct Records.

### Retrieve Source Data References

 - [GET /organisations/{orgId}/extensions/eudr/references/{referenceId}/source-data](https://developer.interu.io/reference/api/eudr/ddsreferencesourcedata_read.md): Retrieve Source Data for references

### Retrieve Generated/Updated Due Diligence Statement

 - [GET /organisations/{orgId}/extensions/eudr/references/{referenceId}/statements](https://developer.interu.io/reference/api/eudr/ddstatements_read.md): Retrieves an existing EUDR DDS Statement.

### Update DDS Statement

 - [PATCH /organisations/{orgId}/extensions/eudr/references/{referenceId}/statements](https://developer.interu.io/reference/api/eudr/ddstatements_update.md): Updates the non-derived fields that are part of the DDS Statement.

### Regenerate Due Diligence Statement

 - [POST /organisations/{orgId}/extensions/eudr/references/{referenceId}/statements/regenerate](https://developer.interu.io/reference/api/eudr/ddstatements_regenerate.md): Regenerate the Due Diligence Statement. It will undo any specific updates as it rebuilds from the attached records.

### Submit Due Diligence Statement

 - [POST /organisations/{orgId}/extensions/eudr/references/{referenceId}/statements/submit](https://developer.interu.io/reference/api/eudr/ddstatements_submit.md): Submit the Due Diligence Statement to the Traces NT System.

## Connections

Apis related to Connections.

### Create Connection

 - [POST /organisations/{orgId}/connections](https://developer.interu.io/reference/api/connections/connections_post.md): Adds a new connection.

### Retrieve Connection List

 - [GET /organisations/{orgId}/connections](https://developer.interu.io/reference/api/connections/connections_list.md): Gets the list of connections.

### Retrieve Connection

 - [GET /organisations/{orgId}/connections/{connectionId}](https://developer.interu.io/reference/api/connections/connections_read.md): Retrieve an existing connection.

### Update Connection

 - [PUT /organisations/{orgId}/connections/{connectionId}](https://developer.interu.io/reference/api/connections/connections_update.md): Update the details of an existing connection.

### Patch Connection

 - [PATCH /organisations/{orgId}/connections/{connectionId}](https://developer.interu.io/reference/api/connections/connections_patch.md): Update selected details of an existing connection. Only the fields supplied in the request body are changed.

### Delete Connection

 - [DELETE /organisations/{orgId}/connections/{connectionId}](https://developer.interu.io/reference/api/connections/connections_delete.md): Delete an existing connection.

## Locations

Apis related to Locations.

### Create LocationLink

 - [POST /organisations/{orgId}/location-links](https://developer.interu.io/reference/api/locations/locationlinks_post.md): Add a link between two locations.

### Retrieve LocationLink List

 - [GET /organisations/{orgId}/location-links](https://developer.interu.io/reference/api/locations/locationlinks_list.md): Get list of location links.

### Retrieve LocationLink

 - [GET /organisations/{orgId}/location-links/{linkId}](https://developer.interu.io/reference/api/locations/locationlinks_read.md): Retrieve an exisitng link between two locations.

### Delete LocationLink

 - [DELETE /organisations/{orgId}/location-links/{linkId}](https://developer.interu.io/reference/api/locations/locationlinks_delete.md): Delete a link between two locations.

### Create Location

 - [POST /organisations/{orgId}/locations](https://developer.interu.io/reference/api/locations/locations_post.md): Adds a new location.

### Retrieve Location List

 - [GET /organisations/{orgId}/locations](https://developer.interu.io/reference/api/locations/locations_list.md): Gets the list of locations.

### Retrieve Location

 - [GET /organisations/{orgId}/locations/{locationId}](https://developer.interu.io/reference/api/locations/locations_read.md): Retrieves an existing location.

### Update Location

 - [PUT /organisations/{orgId}/locations/{locationId}](https://developer.interu.io/reference/api/locations/locations_update.md): Updates an existing location.

### Delete Location

 - [DELETE /organisations/{orgId}/locations/{locationId}](https://developer.interu.io/reference/api/locations/locations_delete.md): Delete an existing location.

## Materials

Apis related to Materials.

### Create Material

 - [POST /organisations/{orgId}/materials](https://developer.interu.io/reference/api/materials/materials_post.md)

### Retrieve Material List

 - [GET /organisations/{orgId}/materials](https://developer.interu.io/reference/api/materials/materials_list.md)

### Retrieve Material

 - [GET /organisations/{orgId}/materials/{materialId}](https://developer.interu.io/reference/api/materials/materials_read.md)

### Update Material

 - [PUT /organisations/{orgId}/materials/{materialId}](https://developer.interu.io/reference/api/materials/materials_update.md)

### Delete Material

 - [DELETE /organisations/{orgId}/materials/{materialId}](https://developer.interu.io/reference/api/materials/materials_delete.md)

## Products

Apis related to Products.

### Create Product

 - [POST /organisations/{orgId}/products](https://developer.interu.io/reference/api/products/products_post.md): Add a new product.

### Retrieve Product List

 - [GET /organisations/{orgId}/products](https://developer.interu.io/reference/api/products/products_list.md): Gets the list of products.

### Retrieve Product

 - [GET /organisations/{orgId}/products/{productId}](https://developer.interu.io/reference/api/products/products_read.md): Retrieve an existing product.

### Update Product

 - [PUT /organisations/{orgId}/products/{productId}](https://developer.interu.io/reference/api/products/products_update.md): Update an existing product.

### Delete Product

 - [DELETE /organisations/{orgId}/products/{productId}](https://developer.interu.io/reference/api/products/products_delete.md): Delete a product. This will only work if the product is not referenced in any items.

### Create Variant

 - [POST /organisations/{orgId}/products/{productId}/variants](https://developer.interu.io/reference/api/products/variants_post.md): Add a new product variant.

### Retrieve Variant List

 - [GET /organisations/{orgId}/products/{productId}/variants](https://developer.interu.io/reference/api/products/variants_list.md): Gets the list of product variants.

### Retrieve Variant

 - [GET /organisations/{orgId}/products/{productId}/variants/{variantId}](https://developer.interu.io/reference/api/products/variants_read.md): Retrieve an existing product variant.

### Update Variant

 - [PUT /organisations/{orgId}/products/{productId}/variants/{variantId}](https://developer.interu.io/reference/api/products/variants_update.md): Update an existing product.

### Delete Product Variant

 - [DELETE /organisations/{orgId}/products/{productId}/variants/{variantId}](https://developer.interu.io/reference/api/products/variants_delete.md): Delete a product. This will only work if the product is not referenced in any items.

## Deliveries

Apis related to Deliveries.

### Create Delivery

 - [POST /organisations/{orgId}/deliveries](https://developer.interu.io/reference/api/deliveries/deliveries_post.md)

### Retrieve Delivery List

 - [GET /organisations/{orgId}/deliveries](https://developer.interu.io/reference/api/deliveries/deliveries_list.md)

### Retrieve Delivery

 - [GET /organisations/{orgId}/deliveries/{deliveryId}](https://developer.interu.io/reference/api/deliveries/deliveries_read.md)

### Update Delivery

 - [PUT /organisations/{orgId}/deliveries/{deliveryId}](https://developer.interu.io/reference/api/deliveries/deliveries_update.md)

### Delete Delivery

 - [DELETE /organisations/{orgId}/deliveries/{deliveryId}](https://developer.interu.io/reference/api/deliveries/deliveries_delete.md)

## Items

Apis related to Items.

### Create Item

 - [POST /organisations/{orgId}/items](https://developer.interu.io/reference/api/items/items_post.md): Add a stock item to the system.

### Retrieve Item List

 - [GET /organisations/{orgId}/items](https://developer.interu.io/reference/api/items/items_list.md)

### Retrieve Item

 - [GET /organisations/{orgId}/items/{itemId}](https://developer.interu.io/reference/api/items/items_read.md)

### Update Item

 - [PUT /organisations/{orgId}/items/{itemId}](https://developer.interu.io/reference/api/items/items_update.md)

### Delete Item

 - [DELETE /organisations/{orgId}/items/{itemId}](https://developer.interu.io/reference/api/items/items_delete.md)

## Orders

Apis related to Orders.

### Create Purchase Order

 - [POST /organisations/{orgId}/purchase-orders](https://developer.interu.io/reference/api/orders/purchaseorders_post.md)

### Retrieve Purchase Order List

 - [GET /organisations/{orgId}/purchase-orders](https://developer.interu.io/reference/api/orders/purchaseorders_list.md)

### Retrieve Purchase Order

 - [GET /organisations/{orgId}/purchase-orders/{purchaseOrderId}](https://developer.interu.io/reference/api/orders/purchaseorders_read.md)

### Update Purchase Order

 - [PUT /organisations/{orgId}/purchase-orders/{purchaseOrderId}](https://developer.interu.io/reference/api/orders/purchaseorders_update.md)

### Delete Purchase Order

 - [DELETE /organisations/{orgId}/purchase-orders/{purchaseOrderId}](https://developer.interu.io/reference/api/orders/purchaseorders_delete.md)

### Update Purchase Order Status

 - [PUT /organisations/{orgId}/purchase-orders/{purchaseOrderId}/status](https://developer.interu.io/reference/api/orders/purchaseorders_updatestatus.md): Update the status of a Purchase Order

## Processes

Apis related to Processes.

### Create Process

 - [POST /organisations/{orgId}/processes](https://developer.interu.io/reference/api/processes/processes_post.md)

### Retrieve Process List

 - [GET /organisations/{orgId}/processes](https://developer.interu.io/reference/api/processes/processes_list.md)

### Retrieve Process

 - [GET /organisations/{orgId}/processes/{processId}](https://developer.interu.io/reference/api/processes/processes_read.md)

### Update Process

 - [PUT /organisations/{orgId}/processes/{processId}](https://developer.interu.io/reference/api/processes/processes_update.md)

### Delete Process

 - [DELETE /organisations/{orgId}/processes/{processId}](https://developer.interu.io/reference/api/processes/processes_delete.md)

### Create ProcessInput

 - [POST /organisations/{orgId}/processes/{processId}/inputs](https://developer.interu.io/reference/api/processes/processinputs_post.md)

### Retrieve ProcessInput List

 - [GET /organisations/{orgId}/processes/{processId}/inputs](https://developer.interu.io/reference/api/processes/processinputs_list.md)

### Retrieve ProcessInput

 - [GET /organisations/{orgId}/processes/{processId}/inputs/{inputId}](https://developer.interu.io/reference/api/processes/processinputs_read.md)

### Update ProcessInput

 - [PUT /organisations/{orgId}/processes/{processId}/inputs/{inputId}](https://developer.interu.io/reference/api/processes/processinputs_update.md)

### Delete ProcessInput

 - [DELETE /organisations/{orgId}/processes/{processId}/inputs/{inputId}](https://developer.interu.io/reference/api/processes/processinputs_delete.md)

### Create ProcessOutput

 - [POST /organisations/{orgId}/processes/{processId}/outputs](https://developer.interu.io/reference/api/processes/processoutputs_post.md)

### Retrieve ProcessOutput List

 - [GET /organisations/{orgId}/processes/{processId}/outputs](https://developer.interu.io/reference/api/processes/processoutputs_list.md)

### Retrieve ProcessOutput

 - [GET /organisations/{orgId}/processes/{processId}/outputs/{outputId}](https://developer.interu.io/reference/api/processes/processoutputs_read.md)

### Update ProcessOutput

 - [PUT /organisations/{orgId}/processes/{processId}/outputs/{outputId}](https://developer.interu.io/reference/api/processes/processoutputs_update.md)

### Delete ProcessOutput

 - [DELETE /organisations/{orgId}/processes/{processId}/outputs/{outputId}](https://developer.interu.io/reference/api/processes/processoutputs_delete.md)

## Delivery Workflow

### Create Delivery from Inputs

 - [POST /organisations/{orgId}/workflows/deliveries](https://developer.interu.io/reference/api/delivery-workflow/workflowdeliveries_post.md): This allows for the creation of an 'outbound' delivery based on a variety of potential inputs and differing outputs.

## Order Workflow

### Create Purchase Order With Delivery

 - [POST /organisations/{orgId}/workflows/orders](https://developer.interu.io/reference/api/order-workflow/workfloworders_post.md): This allows for the creation of a purchase order and a corresponding delivery as well as assigning DDS references.

## Process workflow

### Create Process from Inputs

 - [POST /organisations/{orgId}/workflows/processes](https://developer.interu.io/reference/api/process-workflow/workflowprocessservice_post.md): This allows for the creation of an process based on a variety of potential inputs and differing outputs.

## Sending Outbound

### Send Record

 - [POST /organisations/{orgId}/record-sharing/outbound/shares](https://developer.interu.io/reference/api/sending-outbound/sendservice_post.md): Send a record to a counterparty.

### Retrieve Send Record List

 - [GET /organisations/{orgId}/record-sharing/outbound/shares](https://developer.interu.io/reference/api/sending-outbound/sendservice_list.md)

### Retrieve Send Record

 - [GET /organisations/{orgId}/record-sharing/outbound/shares/{outboundShareId}](https://developer.interu.io/reference/api/sending-outbound/sendservice_read.md): Send a record to a counterparty.

